

EXTRA_LIBS= 
CC_OPT= -g

CC_FLAGS=$(CFLAGS) -I../lang-common -I../msql $(HAVE_DYNAMIC)


!object auth.o auth.c
!object http.o http.c
!object lexer.o lexer.c
!object modules.o modules.c
!object mod_w3msql.o mod_w3msql.c
!object w3-msql.o w3-msql.c
!object w3-auth.o w3-auth.c

!program w3-msql mod_w3msql.o,w3-msql.o,lexer.o,modules.o,auth.o,http.o,../lang-common/mod_std.o,../lang-common/mod_msql.o,../lang-common/liblite.a,../msql/libmsql.a,../regexp/libregexp.a

!program w3-auth w3-auth.o,http.o,../lang-common/fcrypt.o,../msql/libmsql.a


#
# Debugging compilations
#
# Note : if you want to build lextest and you are using the GNU cpp (for
# example, you are using gcc to compile this code) you'll have to put
# -traditional in the compilation line below.  If you don't, you'll get
# some ANSI cpp garbage that doesn't let you expand a macro param within
# quotes.  In this case you'll get a line of 'x' characters down the left
# side of the screen when you run lextest.
#

lextest: lexer.c
	$(CC) $(CC_FLAGS) -DLEX_DEBUG -DNOTDEF -g -o lextest lexer.c



!install w3-msql $(INST_DIR)/bin/w3-msql 0755
!install w3-auth $(INST_DIR)/bin/w3-auth 0755

auth.o: ../common/portability.h
auth.o: ../common/config.h 
auth.o: ../msql/msql.h
auth.o: ../lang-common/y.tab.h 
auth.o: ../lang-common/lite.h
auth.o: ../msql/version.h

http.o: ../common/portability.h
http.o: ../common/config.h 
http.o: ../msql/msql.h
http.o: ../lang-common/y.tab.h 
http.o: ../lang-common/lite.h
http.o: ../msql/version.h

lexer.o: ../common/portability.h
lexer.o: ../common/config.h 
lexer.o: ../msql/msql.h
lexer.o: ../lang-common/y.tab.h 
lexer.o: ../lang-common/lite.h
lexer.o: ../msql/version.h

modules.o: ../common/portability.h
modules.o: ../common/config.h 
modules.o: ../msql/msql.h
modules.o: ../lang-common/y.tab.h 
modules.o: ../lang-common/lite.h
modules.o: ../msql/version.h

mod_w3msql.o: ../common/portability.h
mod_w3msql.o: ../common/config.h 
mod_w3msql.o: ../msql/msql.h
mod_w3msql.o: ../lang-common/y.tab.h 
mod_w3msql.o: ../lang-common/lite.h
mod_w3msql.o: ../msql/version.h

w3-msql.o: ../common/portability.h
w3-msql.o: ../common/config.h 
w3-msql.o: ../msql/msql.h
w3-msql.o: ../lang-common/y.tab.h 
w3-msql.o: ../lang-common/lite.h
w3-msql.o: ../msql/version.h

w3-auth.o: ../common/portability.h
w3-auth.o: ../common/config.h 
w3-auth.o: ../msql/msql.h
w3-auth.o: ../lang-common/y.tab.h 
w3-auth.o: ../lang-common/lite.h
w3-auth.o: ../msql/version.h

